Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

List badge tags

POST/v1/badge.listTags
Authorization
AuthorizationBearer token · headerrequired
Responses
200

OK

colorTagsColorTag[] | nullrequired

The available color tags

Show properties
Array of ColorTag
groupstringrequired
groupOwnerbooleanrequired
hexstring | nullrequired
hslstringrequired
idstringrequired
namestringrequired
designTagsDesignTag[] | nullrequired

The available visual design tags

Show properties
Array of DesignTag
idstringrequired
namestringrequired
metadataTagsDesignTag[] | nullrequired

The available non-visual metadata tags

Show properties
Array of DesignTag
idstringrequired
namestringrequired
400

Bad Request

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
401

Unauthorized

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Request
curl -X POST 'https://api.steamsets.com/v1/badge.listTags' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "colorTags": [
    {
      "group": "string",
      "groupOwner": true,
      "hex": "string",
      "hsl": "string",
      "id": "string",
      "name": "string"
    }
  ],
  "designTags": [
    {
      "id": "string",
      "name": "string"
    }
  ],
  "metadataTags": [
    {
      "id": "string",
      "name": "string"
    }
  ]
}